| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
EM::FaultGeometry Class Reference
EarthModel

FaultGeometry base class. More...

`#include <emfault.h>`

Inheritance diagram for EM::FaultGeometry:
[legend]

## Public Member Functions
virtual | ~FaultGeometry ()
virtual void | copySelectedSticksTo (FaultStickSetGeometry &dest, const SectionID &sid, bool addtohistory) const
virtual void | copySelectedSticksTo (FaultStickSetGeometry &destfssg, bool addtohistory) const
virtual const Coord3 & | getEditPlaneNormal (const SectionID &, int sticknr) const
virtual const Coord3 & | getEditPlaneNormal (int sticknr) const
virtual bool | insertKnot (const SectionID &, const SubID &subid, const Coord3 &pos, bool addtohistory)
virtual bool | insertKnot (const SubID &, const Coord3 &pos, bool addtohistory)
virtual bool | insertStick (const SectionID &, int sticknr, int firstcol, const Coord3 &pos, const Coord3 &editnormal, bool addtohistory)
virtual bool | insertStick (int sticknr, int firstcol, const Coord3 &pos, const Coord3 &editnormal, bool addtohistory)
virtual int | nrSelectedSticks () const
virtual int | nrStickDoubles (const SectionID &, int sticknr, const FaultGeometry *ref=0) const
virtual int | nrStickDoubles (int sticknr, const FaultGeometry *ref=0) const
virtual const MultiID * | pickedMultiID (const SectionID &, int stcknr) const
virtual const MultiID * | pickedMultiID (int stcknr) const
virtual const char * | pickedName (const SectionID &, int sticknr) const
virtual const char * | pickedName (int sticknr) const
virtual bool | removeKnot (const SectionID &, const SubID &subid, bool addtohistory)
virtual bool | removeKnot (const SubID &, bool addtohistory)
virtual void | removeSelectedDoubles (bool addtohistory, const FaultGeometry *ref=0)
virtual void | removeSelectedSticks (bool addtohistory)
virtual bool | removeStick (const SectionID &, int sticknr, bool addtohistory)
virtual bool | removeStick (int sticknr, bool addtohistory)
virtual void | selectAllSticks (bool select=true)
virtual void | selectStickDoubles (bool select=true, const FaultGeometry *ref=0)
Public Member Functions inherited from EM::SurfaceGeometry
virtual | ~SurfaceGeometry ()
mDeprecatedObs SectionID | addSection (const char *nm, bool addtohistory)
mDeprecatedObs SectionID | addSection (const char *nm, const SectionID &, bool addtohistory)
virtual mDeprecatedObs SectionID | cloneSection (const SectionID &)
EMObjectIterator * | createIterator (const EM::SectionID &, const TrcKeyZSampling *t=0) const
virtual EMObjectIterator * | createIterator (const TrcKeyZSampling *=0) const
virtual bool | enableChecks (bool yn)
virtual void | fillPar (IOPar &) const
virtual int | findPos (const Interval< float > &x, const Interval< float > &y, const Interval< float > &z, TypeSet< PosID > *) const
virtual mDeprecatedDef int | findPos (const SectionID &, const Interval< float > &x, const Interval< float > &y, const Interval< float > &z, TypeSet< PosID > *res) const
virtual int | findPos (const TrcKeyZSampling &, TypeSet< PosID > *) const
virtual Geometry::Element * | geometryElement ()
virtual const Geometry::Element * | geometryElement () const
virtual int | getConnectedPos (const PosID &posid, TypeSet< PosID > *res) const
virtual void | getLinkedPos (const PosID &posid, TypeSet< PosID > &) const
mDeprecatedObs bool | hasSection (const SectionID &) const
virtual bool | isAtEdge (const PosID &) const
bool | isChanged (int) const
virtual bool | isChecksEnabled () const
virtual bool | isFullResolution () const
virtual bool | isLoaded () const
virtual bool | isNodeOK (const PosID &) const
virtual Executor * | loader (const SurfaceIODataSelection *=nullptr)
int | nrSections () const
virtual void | removeAll ()
virtual mDeprecatedObs bool | removeSection (const SectionID &, bool addtohistory)
void | resetChangedFlag ()
virtual Executor * | saver (const SurfaceIODataSelection *=nullptr, const MultiID *=nullptr)
virtual Geometry::Element * | sectionGeometry (const SectionID &)
virtual const Geometry::Element * | sectionGeometry (const SectionID &) const
mDeprecatedObs SectionID | sectionID (const char *) const
mDeprecatedObs SectionID | sectionID (int idx) const
mDeprecatedObs int | sectionIndex (const SectionID &) const
mDeprecatedObs const char * | sectionName (const SectionID &) const
mDeprecatedObs bool | setSectionName (const SectionID &, const char *, bool addtohistory)
virtual bool | usePar (const IOPar &)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
| FaultGeometry (Surface &)
bool | removeSelStick (int selidx, bool addtohistory, const FaultGeometry *doublesref=0)
void | selectSticks (bool select=true, const FaultGeometry *doublesref=0)
Protected Member Functions inherited from EM::SurfaceGeometry
| SurfaceGeometry (Surface &)
mDeprecatedObs SectionID | addSectionInternal (Geometry::Element *, const char *nm, const SectionID &, bool addtohistory)
virtual Geometry::Element * | createGeometryElement () const =0
void | geomChangeCB (CallBacker *)

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Protected Attributes inherited from EM::SurfaceGeometry
bool | changed_
ObjectSet< Geometry::Element > | sections_
Surface & | surface_

## Detailed Description

FaultGeometry base class.

<>

## Constructor & Destructor Documentation

## ◆ ~FaultGeometry()

virtual EM::FaultGeometry::~FaultGeometry | ( |  | ) |
| virtual

## ◆ FaultGeometry()

EM::FaultGeometry::FaultGeometry | ( | Surface & |  | ) |
| protected

## Member Function Documentation

## ◆ copySelectedSticksTo() [1/2]

virtual void EM::FaultGeometry::copySelectedSticksTo | ( | FaultStickSetGeometry & | dest,
|  | const SectionID & | sid,
|  | bool | addtohistory ) const
| inline virtual

## ◆ copySelectedSticksTo() [2/2]

virtual void EM::FaultGeometry::copySelectedSticksTo | ( | FaultStickSetGeometry & | destfssg,
|  | bool | addtohistory ) const
| virtual

## ◆ getEditPlaneNormal() [1/2]

virtual const Coord3 & EM::FaultGeometry::getEditPlaneNormal | ( | const SectionID & | ,
|  | int | sticknr ) const
| inline virtual

## ◆ getEditPlaneNormal() [2/2]

virtual const Coord3 & EM::FaultGeometry::getEditPlaneNormal | ( | int | sticknr | ) | const
| virtual

## ◆ insertKnot() [1/2]

virtual bool EM::FaultGeometry::insertKnot | ( | const SectionID & | ,
|  | const SubID & | subid,
|  | const Coord3 & | pos,
|  | bool | addtohistory )
| inline virtual

Reimplemented in EM::Fault3DGeometry, and EM::FaultStickSetGeometry.

## ◆ insertKnot() [2/2]

virtual bool EM::FaultGeometry::insertKnot | ( | const SubID & | ,
|  | const Coord3 & | pos,
|  | bool | addtohistory )
| inline virtual

Reimplemented in EM::Fault3DGeometry, and EM::FaultStickSetGeometry.

## ◆ insertStick() [1/2]

virtual bool EM::FaultGeometry::insertStick | ( | const SectionID & | ,
|  | int | sticknr,
|  | int | firstcol,
|  | const Coord3 & | pos,
|  | const Coord3 & | editnormal,
|  | bool | addtohistory )
| inline virtual

Reimplemented in EM::Fault3DGeometry, and EM::FaultStickSetGeometry.

## ◆ insertStick() [2/2]

virtual bool EM::FaultGeometry::insertStick | ( | int | sticknr,
|  | int | firstcol,
|  | const Coord3 & | pos,
|  | const Coord3 & | editnormal,
|  | bool | addtohistory )
| inline virtual

Reimplemented in EM::Fault3DGeometry, and EM::FaultStickSetGeometry.

## ◆ nrSelectedSticks()

virtual int EM::FaultGeometry::nrSelectedSticks | ( |  | ) | const
| virtual

## ◆ nrStickDoubles() [1/2]

virtual int EM::FaultGeometry::nrStickDoubles | ( | const SectionID & | ,
|  | int | sticknr,
|  | const FaultGeometry * | ref = 0 ) const
| inline virtual

## ◆ nrStickDoubles() [2/2]

virtual int EM::FaultGeometry::nrStickDoubles | ( | int | sticknr,
|  | const FaultGeometry * | ref = 0 ) const
| virtual

## ◆ pickedMultiID() [1/2]

virtual const MultiID * EM::FaultGeometry::pickedMultiID | ( | const SectionID & | ,
|  | int | stcknr ) const
| inline virtual

Reimplemented in EM::FaultStickSetGeometry.

## ◆ pickedMultiID() [2/2]

virtual const MultiID * EM::FaultGeometry::pickedMultiID | ( | int | stcknr | ) | const
| inline virtual

Reimplemented in EM::FaultStickSetGeometry.

## ◆ pickedName() [1/2]

virtual const char * EM::FaultGeometry::pickedName | ( | const SectionID & | ,
|  | int | sticknr ) const
| inline virtual

Reimplemented in EM::FaultStickSetGeometry.

## ◆ pickedName() [2/2]

virtual const char * EM::FaultGeometry::pickedName | ( | int | sticknr | ) | const
| inline virtual

Reimplemented in EM::FaultStickSetGeometry.

## ◆ removeKnot() [1/2]

virtual bool EM::FaultGeometry::removeKnot | ( | const SectionID & | ,
|  | const SubID & | subid,
|  | bool | addtohistory )
| inline virtual

Reimplemented in EM::Fault3DGeometry, and EM::FaultStickSetGeometry.

## ◆ removeKnot() [2/2]

virtual bool EM::FaultGeometry::removeKnot | ( | const SubID & | ,
|  | bool | addtohistory )
| inline virtual

Reimplemented in EM::Fault3DGeometry, and EM::FaultStickSetGeometry.

## ◆ removeSelectedDoubles()

virtual void EM::FaultGeometry::removeSelectedDoubles | ( | bool | addtohistory,
|  | const FaultGeometry * | ref = 0 )
| virtual

## ◆ removeSelectedSticks()

virtual void EM::FaultGeometry::removeSelectedSticks | ( | bool | addtohistory | ) |
| virtual

## ◆ removeSelStick()

bool EM::FaultGeometry::removeSelStick | ( | int | selidx,
|  | bool | addtohistory,
|  | const FaultGeometry * | doublesref = 0 )
| protected

## ◆ removeStick() [1/2]

virtual bool EM::FaultGeometry::removeStick | ( | const SectionID & | ,
|  | int | sticknr,
|  | bool | addtohistory )
| inline virtual

Reimplemented in EM::Fault3DGeometry, and EM::FaultStickSetGeometry.

## ◆ removeStick() [2/2]

virtual bool EM::FaultGeometry::removeStick | ( | int | sticknr,
|  | bool | addtohistory )
| inline virtual

Reimplemented in EM::Fault3DGeometry, and EM::FaultStickSetGeometry.

## ◆ selectAllSticks()

virtual void EM::FaultGeometry::selectAllSticks | ( | bool | select = true | ) |
| virtual

## ◆ selectStickDoubles()

virtual void EM::FaultGeometry::selectStickDoubles | ( | bool | select = true,
|  | const FaultGeometry * | ref = 0 )
| virtual

## ◆ selectSticks()

void EM::FaultGeometry::selectSticks | ( | bool | select = true,
|  | const FaultGeometry * | doublesref = 0 )
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025